package com.telephoners.krakyournet.ctf.objects;

import com.telephoners.krakyournet.ctf.objects.tasks.Task;
import org.bson.types.ObjectId;
import org.mongodb.morphia.annotations.Entity;
import org.mongodb.morphia.annotations.Id;

@Entity("solutions")
public class Solution
{
    @Id
    private ObjectId id;
    private Task task;
    private Team team;
    private Flag flag;

    public Solution(Team team, Task task, Flag flag)
    {
        this.team = team;
        this.task = task;
        this.flag = flag;
    }

    public Solution()
    {
    }

    public void setTeam(Team team)
    {
        this.team = team;
    }

    public Task getTask()
    {
        return task;
    }

    public void setTask(Task task)
    {
        this.task = task;
    }

    public Team getTeam()
    {
        return team;
    }

    public Flag getFlag()
    {
        return flag;
    }

    public void setFlag(Flag flag)
    {
        this.flag = flag;
    }
}
